## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-openctm
Version:        0.0.6
Release:        %autorelease
Summary:        Provide a loader for OpenCTM files

License:        MIT
URL:            https://github.com/trimesh/openctm
# The PyPI project does not have sdists, so we must use the GitHub archive.
Source:         %{url}/archive/%{version}/openctm-%{version}.tar.gz

# Downstream-only: use the system OpenCTM library
# Upstream has good reason to bundle this for distribution on PyPI. We raised
# the possibility of upstreaming a version of this patch in
# https://github.com/trimesh/openctm/pull/2#issuecomment-2046008584.
Patch:          0001-Downstream-only-use-the-system-OpenCTM-library.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
A wheel-packaged binding for OpenCTM Python bindings.}

%description %{common_description}


%package -n python3-openctm
Summary:        %{summary}

Requires:       OpenCTM-libs
# For import “smoke test”
BuildRequires:  OpenCTM-libs

%description -n python3-openctm %{common_description}


%prep
%autosetup -n openctm-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l openctm


%check
# Upstream currently provides no tests.
%pyproject_check_import


%files -n python3-openctm -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Aug 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.6-1
- Update to 0.0.6 (close RHBZ#2306820)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 02 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.5-1
- Initial package (close RHBZ#2274557)
## END: Generated by rpmautospec
